> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建订阅订单

> 创建订阅单

## 概述

本页说明 `POST /open/institution/v1/order/create` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/subscription/orderCreate-openapi.json POST /open/institution/v1/order/create
openapi: 3.1.0
info:
  title: GatePay 机构订阅 API
  description: GatePay 支付平台 API 接口文档
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io/pay-subscription
security: []
paths:
  /open/institution/v1/order/create:
    post:
      summary: 创建订阅订单
      description: 创建订阅单
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        description: 创建订阅单入参
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSubscriptionOrderRequest'
            examples:
              basicExample:
                summary: 基础示例
                value:
                  merchantSubscriptionOrderNo: test01
                  planNo: '2033844612305932300'
                  callbackUrl: https://gate.com
        required: true
      responses:
        '200':
          description: 创建订阅单成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSubscriptionPlanResponse'
              examples:
                successResponse:
                  summary: 成功响应
                  value:
                    code: '0'
                    message: ''
                    data:
                      merchantSubscriptionOrderNo: test01
                      subscriptionOrderNo: '82971423789155022'
                      subscriptionLink: >-
                        https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=82971423789155022
                    success: true
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '9578'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    CreateSubscriptionOrderRequest:
      type: object
      required:
        - merchantSubscriptionOrderNo
      properties:
        merchantSubscriptionOrderNo:
          type: string
          description: 商户订阅订单编号，商户全局唯一标识
          example: MSUB_20240312_001
        merchantPlanNo:
          type: string
          description: 商户订阅计划编号（与planNo任选一个）
          example: MPLAN_20240101_001
        planNo:
          type: string
          description: 平台订阅计划编号（与merchantPlanNo任选一个）
          example: PLAN_ABC123
        callbackUrl:
          type: string
          description: 订阅成功后跳转的页面URL，长度不超过128字节
          maxLength: 128
          example: https://www.example.com/subscription/success
      oneOf:
        - required:
            - merchantPlanNo
        - required:
            - planNo
    CreateSubscriptionPlanResponse:
      type: object
      properties:
        code:
          type: string
          description: 响应码，0 表示成功
          example: '0'
        message:
          type: string
          description: 响应描述，成功时为空
          example: ''
        success:
          type: boolean
          description: 请求是否成功
          example: true
        data:
          type: object
          description: 响应数据
          properties:
            merchantSubscriptionOrderNo:
              type: string
              description: 商户订阅订单编号
              example: MSUB_20240312_001
            subscriptionOrderNo:
              type: string
              description: 平台订阅订单编号
              example: SUB_ABC123456
            subscriptionLink:
              type: string
              description: 订阅页面链接，用于用户发起订阅授权
              example: https://pay.example.com/subscription/authorize?token=xxxxxx

````